/*! 
    \file bv_tree.h
    \brief Definition of a bounding volume tree

*/

#ifndef _BV_TREE_H
#define _BV_TREE_H


#include "base_object.h"
#include "abstract_model.h"

// FORWARD DEFINITION
class BoundingVolume;


//! A class that represents a bounding volume tree
class BVTree : public BaseObject {

 public:
  BVTree();
  virtual ~BVTree();

  virtual void spawnBVTree(int depth, sVec3D *verticesList, const int length) = NULL;
  virtual void flushTree() = NULL;


  virtual void drawBV(int currentDepth, const int depth) const = NULL;
  virtual void drawBVPolygon(int currentDepth, const int depth) const = NULL;
  virtual void drawBVBlended(int currentDepth, const int depth) const = NULL;

 protected:
  int numberOfVertices;

 private:


};

#endif /* _BV_TREE_H */
