/*! 
    \file null_parent.h
    \brief Definition of the NullParent, the higest PNode of them all.
*/


#ifndef _NULL_PARENT_H
#define _NULL_PARENT_H

#include "p_node.h"

//! The top joint of all PNode's every PNode is somehow connected to this one.
class NullParent : public PNode {

 public:
  static NullParent* getInstance ();
  virtual ~NullParent ();

 private:
  NullParent (const Vector& absCoordinate = Vector());

 private:
  static NullParent* singletonRef;        //!< A reference to the NullParent

};

#endif /* _NULL_PARENT_H */
