/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_

#include "field.h"

#include "physics_engine.h"

using namespace std;


/**
   \brief standard constructor
   \todo this constructor is not jet implemented - do it
*/
Field::Field () 
{
   this->setClassName ("Field");
   this->setMagnitude(1);
   this->setAttenuation(0);
   
   PhysicsEngine::getInstance()->addField(this);
}


/**
   \brief standard deconstructor

*/
Field::~Field () 
{
   PhysicsEngine::getInstance()->removeField(this);
}


/**
   \param magnitude the magnitude of the Field.
*/
void Field::setMagnitude(const float& magnitude)
{
  this->magnitude = magnitude;
}

/**
   \param attenuation The attenuation of the Field (the bigger the smaller the region of influence)
*/
void Field::setAttenuation(const float& attenuation)
{
  this->attenuation = attenuation;
}
