/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: ...
   co-programmer: ...
*/

#include "proto_world_entity.h"
#include "glincl.h"
#include "stdincl.h"
#include "vector.h"
#include "model.h"

using namespace std;

/**
   \brief standard constructor

*/
ProtoWorldEntity::ProtoWorldEntity () 
{
  this->init();
}

/**
   \brief constructs and loads a ProtoWorldEntity from a XML-element
   \param root the XML-element to load from
*/
ProtoWorldEntity::ProtoWorldEntity(const TiXmlElement* root)
{
  this->init();
  this->loadParams(root);
}


/**
   \brief standard deconstructor
*/
ProtoWorldEntity::~ProtoWorldEntity () 
{

}

/**
   \brief initializes the ProtoWorldEntity
*/
void ProtoWorldEntity::init(void)
{
  ...
}

/**
   \brief loads a ProtoWorldEntity from a XML-element
   \param root the XML-element to load from
*/
void ProtoWorldEntity::loadParams(const TiXmlElement* root)
{
  static_cast<WorldEntity*>(this)->loadParam(root);

  ...
}


/**
   \brief advances the ProtoWorldEntity about time seconds
   \param time the Time to step
*/
ProtoWorldEntity::tick(float time)
{

}

/**
   \brief draws this worldEntity
*/
void ProtoWorldEntity::draw ()
{ 
  glMatrixMode(GL_MODELVIEW);
  glPushMatrix();
  float matrix[4][4];
  
  /* translate */
  glTranslatef (this->getAbsCoor ().x, 
		this->getAbsCoor ().y, 
		this->getAbsCoor ().z);
  /* rotate */
  this->getAbsDir().matrix(matrix);
  glMultMatrixf((float*)matrix);

  if (model)
    model->draw();
  glPopMatrix();
}
