/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY

#include "state.h"

#ifndef NULL
#define NULL 0
#endif

using namespace std;


/**
   \brief standard constructor
*/
State::State ()
{
   this->setClassID(CL_STATE, "State");
   this->setName("State");

   this->camera = NULL;
   this->cameraTarget = NULL;
}

/**
   \brief the singleton reference to this class
*/
State* State::singletonRef = NULL;

/**
   \brief standard deconstructor
*/
State::~State ()
{
  State::singletonRef = NULL;

}

/**
   \brief sets camera and target of the current Camera
*/
void State::setCamera(const PNode* camera, const PNode* cameraTarget)
{
  this->camera = camera;
  this->cameraTarget = cameraTarget;
}
