/*!
  \file environment.h
  \brief This file handles the environment of the game
*/

#ifndef _ENVIRONEMENT_H
#define _ENVIRONEMENT_H

#include "world_entity.h"

//! environment of orxonox
/**
   everything that does not interact with the player comes here
   Environment is a container for all the worldEntities that are non-interactive
*/
class Environment : public WorldEntity 
{
  friend class World;

 public:
  Environment ();
  virtual ~Environment ();

  
  virtual void tick (float time);
  virtual void hit (WorldEntity* weapon, Vector* loc);
  virtual void destroy ();
  virtual void collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags);
  virtual void draw ();

};

#endif /* _ENVIRONEMENT_H */
